.cart-wrapper {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    position: absolute;
    top: 0;
    right: 0%;
    display: flex;
    justify-content: end;
    transition: all 1s;
    display: none;

    .cart {
        overflow: auto;
        background-color: black;
        color: white;
        width: 50%;
        height: 100%;
        padding-bottom: 100px;
        transform: translateX(100%);


        .cart-title {
            position: relative;
            display: flex;
            margin-bottom: 10px;

            p {
                font-size: 40px;
                font-weight: 600;
                margin: 0 auto;

            }

            button {
                position: absolute;
                right: 20px;
                top: 20px;
                outline: 0;
            }

        }

        .cart-content {
            .cart-item {
                height: 150px;
                text-align: center;
                align-items: center;
                justify-items: center;
                border-bottom: 2px solid white;
                padding: 10px 0px;
                margin: 0px 40px;

                .cart-image {
                    width: 100%;
                    height: 120px;
                    object-fit: contain;
                }

                div {
                    object-fit: contain;
                }
            }
        }

        .cart-result {
            display: flex;
            flex-direction: column;
            align-items: flex-end;

            .payment-bill {
                font-size: 30px;
                padding: 10px 20px;
                font-weight: 600;
            }

            .payment-btn {
                button {
                    width: 150px;
                    height: 40px;
                    line-height: 40px;
                    text-align: center;
                    border-radius: 10px;
                    border: 1px solid white;
                    font-size: 20px;
                    margin-right: 10px;

                    span {
                        margin-right: 10px;
                    }
                }
            }
        }
    }
}